package com.madeu.service.web.webauth;

import java.util.HashMap;

public interface WebAuthService {
	
	public HashMap<String, Object> selectListAuthOption(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListAuth(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectAuth(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectHeaderRelation(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateAuth(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> insertAuth(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> deleteAuth(HashMap<String, Object> paramMap) throws Exception;

}
